Subject: Re: PPC PCI Enumeration::Switch off

From: Matt Porter <[email-masked]>
Date: Tue, 23 Dec 2003 14:20:15 -0700

On Wed, Dec 24, 2003 at 12:08:58AM +0530, Karoliya, Abhishek wrote:
>
> Hi ,
>
>   While porting Linux {we use both flavours MontaVista based on 2.4.18 &
> Kernel.org's 2.4.20} on MPC7447(Dual CPU) + MV64360 based Processor PMC
> boards , we have a scenario where multiple PMC card will reside on the same
> PCI bus . Out of all the boards only one {identified through hardware
> signal} will enumerate the rest and other PCI devices on the board. {Monarch
> mode}.
>
>   Hence we need to turn off PCI enumeration for other {Non-monarch boards }.
> I tried this by  not calling the
> pciauto_bus_scan(){arch/ppc/kernel/pci_auto.c} while setting up the host
> bridge . But the boards still goes forward and does the enumeration.
> Do I have take care of any other section of the code .

Don't call pcibios_alloc_controller() and the PCI subsystem will not
attempt to probe the bus (and enumerate via the fixup hooks).  Just
configure your inbound window(s) on the non-monarch boards and you
are done.

-Matt

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/